#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef DATAPATH
#define DATAPATH "/var/adm/tac_plus"
#endif

#ifndef TAC_PLUS_DBFILE
 #define	TAC_PLUS_DBFILE	DATAPATH "/user.db"
#endif

#ifndef RUNPATH
 #define	RUNPATH "/etc"
#endif

#ifndef SCANTIME
 #define	SCANTIME 60
#endif

#ifndef TAC_PLUS_DENYDIR
 #define	TAC_PLUS_DENYDIR DATAPATH "/deny"
#endif

#ifndef ACTPROG
 #define	ACTPROG "/usr/local/sbin/killuser"
#endif

#ifndef REINIT
 #define	REINIT 0
#endif

#ifndef LOG_FACIL
 #define	LOG_FACIL LOG_LOCAL6
#endif

#include <sys/file.h>
#ifndef LOCK_EX
#define LOCK_SH         1       /* shared lock */
#define LOCK_EX         2       /* exclusive lock */
#define LOCK_NB         4       /* don't block when locking */
#define LOCK_UN         8       /* unlock */
#endif

#ifndef O_EXLOCK
#ifdef LOCK_EX
#define O_EXLOCK LOCK_EX
#else
#define O_EXLOCK O_EXCL
#endif
#endif

#ifdef DBF_1
typedef struct {
    long tl;			/* time limit      */
    long tll;			/* time limit left */
    long dl;			/* day  limit      */
    long dll;			/* day  limit left */
    long tot;			/* total time      */
#ifdef PARROT
    double parrot;		/* parrots left    */
    double parrot_credit;
#endif
} TQ_st;
#endif

#define LMTNAME "update"
#define ACCTD_VERSION "0.96"
